
package com.tmerclub.cloud.distribution.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 分销员钱包流水记录VO
 *
 * @author cl
 * @date 2021-08-09 14:14:10
 */
public class DistributionUserWalletBillVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "钱包流水记录")
    private Long id;

    @Schema(description = "钱包id")
    private Long walletId;

    @Schema(description = "待结算金额变更数额")
    private Long unsettledAmount;

    @Schema(description = "可提现金额变更数额")
    private Long settledAmount;

    @Schema(description = "失效金额变更数额")
    private Long invalidAmount;

    @Schema(description = "积累收益变更数额")
    private Long accumulateAmount;

    @Schema(description = "英文备注")
    private String remarksEn;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "变更后待结算金额")
    private Long unsettledAmountAfter;

    @Schema(description = "变更后可提现金额")
    private Long settledAmountAfter;

    @Schema(description = "变更后失效金额")
    private Long invalidAmountAfter;

    @Schema(description = "变更后积累收益")
    private Long accumulateAmountAfter;

    @Schema(description = "类型(0 系统修改 1人工修改)")
    private Integer type;

    @Schema(description = "操作人id")
    private Long modifier;

    @Schema(description = "分销员信息")
    private DistributionUserVO distributionUserVO;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getWalletId() {
        return walletId;
    }

    public void setWalletId(Long walletId) {
        this.walletId = walletId;
    }

    public Long getUnsettledAmount() {
        return unsettledAmount;
    }

    public void setUnsettledAmount(Long unsettledAmount) {
        this.unsettledAmount = unsettledAmount;
    }

    public Long getSettledAmount() {
        return settledAmount;
    }

    public void setSettledAmount(Long settledAmount) {
        this.settledAmount = settledAmount;
    }

    public Long getInvalidAmount() {
        return invalidAmount;
    }

    public void setInvalidAmount(Long invalidAmount) {
        this.invalidAmount = invalidAmount;
    }

    public Long getAccumulateAmount() {
        return accumulateAmount;
    }

    public void setAccumulateAmount(Long accumulateAmount) {
        this.accumulateAmount = accumulateAmount;
    }

    public String getRemarksEn() {
        return remarksEn;
    }

    public void setRemarksEn(String remarksEn) {
        this.remarksEn = remarksEn;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Long getUnsettledAmountAfter() {
        return unsettledAmountAfter;
    }

    public void setUnsettledAmountAfter(Long unsettledAmountAfter) {
        this.unsettledAmountAfter = unsettledAmountAfter;
    }

    public Long getSettledAmountAfter() {
        return settledAmountAfter;
    }

    public void setSettledAmountAfter(Long settledAmountAfter) {
        this.settledAmountAfter = settledAmountAfter;
    }

    public Long getInvalidAmountAfter() {
        return invalidAmountAfter;
    }

    public void setInvalidAmountAfter(Long invalidAmountAfter) {
        this.invalidAmountAfter = invalidAmountAfter;
    }

    public Long getAccumulateAmountAfter() {
        return accumulateAmountAfter;
    }

    public void setAccumulateAmountAfter(Long accumulateAmountAfter) {
        this.accumulateAmountAfter = accumulateAmountAfter;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getModifier() {
        return modifier;
    }

    public void setModifier(Long modifier) {
        this.modifier = modifier;
    }

    public DistributionUserVO getDistributionUserVO() {
        return distributionUserVO;
    }

    public void setDistributionUserVO(DistributionUserVO distributionUserVO) {
        this.distributionUserVO = distributionUserVO;
    }

    @Override
    public String toString() {
        return "DistributionUserWalletBillVO{" +
                "id=" + id +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",walletId=" + walletId +
                ",unsettledAmount=" + unsettledAmount +
                ",settledAmount=" + settledAmount +
                ",invalidAmount=" + invalidAmount +
                ",accumulateAmount=" + accumulateAmount +
                ",remarksEn=" + remarksEn +
                ",remarks=" + remarks +
                ",unsettledAmountAfter=" + unsettledAmountAfter +
                ",settledAmountAfter=" + settledAmountAfter +
                ",invalidAmountAfter=" + invalidAmountAfter +
                ",accumulateAmountAfter=" + accumulateAmountAfter +
                ",type=" + type +
                ",modifier=" + modifier +
                ",distributionUserVO=" + distributionUserVO +
                '}';
    }
}
